summaryrefslogtreecommitdiffstats
path: root/slowcat.sh
diff options
context:
space:
mode:
Diffstat (limited to 'slowcat.sh')
-rwxr-xr-xslowcat.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/slowcat.sh b/slowcat.sh
new file mode 100755
index 0000000..44160ec
--- /dev/null
+++ b/slowcat.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+#
+# Copyright (c) 2019 Mischa Peters <mischa @ openbsd.amsterdam>
+#
+# Permission to use, copy, modify, and distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+#
+DEV="${HOME}/openbsd.amsterdam/deploy.pl"
+PROD="${HOME}"
+RELAY="mx"
+
+if [ -d ${DEV} ]; then
+ . ${DEV}/_deploy.conf
+elif [ -d ${PROD} ]; then
+ . ${PROD}/_deploy.conf
+else
+ echo "Unable to find config file."
+ exit 1;
+fi
+
+FILE="${TMPL}/email-renewal.txt"
+[ ! -f ${FILE} ] && exit 1
+
+LINES=$(wc -l ${FILE} | awk '{printf $1}')
+[ ${LINES} == 2 ] && rm ${FILE} && exit 1
+
+cat ${FILE} | while read; do sleep 0.2; echo ${REPLY}; done | nc ${RELAY} 25
+mv ${FILE} ${FILE}-$(date +%Y%m%d)